<template>
  <v-form>
    <v-container>
      <v-row>
        <v-col cols="12" md="4">
          <v-text-field v-model="firstname" label="First name" required></v-text-field>
        </v-col>

        <v-col cols="12" md="4">
          <v-text-field v-model="lastname" label="Last name" required></v-text-field>
        </v-col>

        <v-col cols="12" md="4">
          <v-text-field v-model="id" label="ID" required></v-text-field>
        </v-col>
      </v-row>
    </v-container>
    <v-btn @click="addUser()">SUBMIT</v-btn>
  </v-form>
</template>

<script>
export default {
  data() {
    return {
      firstname: "",
      lastname: "",
      id: ""
    };
  },
  methods: {
    addUser() {
      var user = {
        firstname: this.firstname,
        lastname: this.lastname,
        id: this.id
      }
      this.$store.commit("addUser", user);
      
      this.firstname = "",
      this.lastname = "",
      this.id = ""
    }
  }
};
</script>

<style>
</style>